This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 509922 - Crash when switching apps with keyboard in scale plugin
Crash when switching apps with keyboard in scale plugin
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Adel Gadllah
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-06 17:23 EDT by Matěj Cepl
Modified: 2009-11-17 16:24 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-17 16:24:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace (2.84 KB, text/plain)
2009-07-06 17:23 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Matěj Cepl 2009-07-06 17:23:16 EDT
Created attachment 350686 [details]
backtrace

Description of problem:
see %subj%

Version-Release number of selected component (if applicable):
compiz-0.7.8-18.fc11.x86_64

How reproducible:
100%

Steps to Reproduce:
1. initiate scale plugin (either by keyboard or by pointing mouse to the upper right corner of desktop)
2. select another window to switch to
3. press Enter to select it
  
Actual results:
window is switched but all windows loose border and compiz is gone

Expected results:
just the first effect, later can be ommitted

Additional info:
Comment 1 Matěj Cepl 2009-07-06 18:42:04 EDT
Just to emphasize than switching with mouse works perfectly.
Comment 2 Adel Gadllah 2009-08-23 04:12:46 EDT
(In reply to comment #1)
> Just to emphasize than switching with mouse works perfectly.  

Can you reproduce this on rawhide ? i.e with the 0.8.2 builds?
Comment 4 Hamidou Dia 2009-11-03 15:27:24 EST
Hi Matej,

I know you have been very busy triaging (and I am doing so ;-).
Could it be possible to test again on Rawhide.
I have seen around a couple of more or less similar issues (compiz + scale plugins invocation leading to compiz crash on F11 x86_64  ... ) that were reported as fixed in Rawhide (if this is the same issue).

Many thanks in advance.


-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Matěj Cepl 2009-11-05 13:34:19 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 6 Matěj Cepl 2009-11-17 07:02:10 EST
Switching incorrect assignees to the default one.
Comment 7 Matěj Cepl 2009-11-17 16:24:54 EST
Yes, this has been fixed.

Note You need to log in before you can comment on or make changes to this bug.